Bug 19089 - RFE: Making ls show dates with correct ordering for the locale
RFE: Making ls show dates with correct ordering for the locale
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: fileutils (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Aaron Brown
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-13 17:21 EDT by Christian Rose
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-13 17:21:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Rose 2000-10-13 17:21:36 EDT
ls -l shows, on my glibc 2.1.94 system and with LC_ALL=sv_SE, a file entry
this way:

-rw-r--r--    1 menthos  menthos      5496 okt 13 22:00 index.html

This is wrong with the Swedish date convention, that is, day number should
always be placed before month. So the example above should really be

-rw-r--r--    1 menthos  menthos      5496 13 okt 22:00 index.html

Maybe this request for making the date ordering customizable could be
forwarded to the file-utils maintainers?
Comment 1 Bernhard Rosenkraenzer 2000-10-16 05:26:23 EDT
This would almost certainly break some scripts and applications, and probably POSIX compliance; therefore we won't do it as a Red Hat patch.

Please contact the maintainers of the base package (bug-fileutils@gnu.org) about this.
Comment 2 Christian Rose 2000-10-16 07:37:59 EDT
> Please contact the maintainers of the base package (bug-fileutils@gnu.org)
about this.

Done.

Note You need to log in before you can comment on or make changes to this bug.